Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security
Class KeyPairCredential

    java.lang.Object
      weblogic.security.KeyPairCredential

    public final class KeyPairCredential

extends Object

This class acts as a holder for cryptographic key information. Typically the keypair information is a private key accompanied by the certificate chain for the corresponding public key.

Constructor Summary
`KeyPairCredential(Key key, Certificate[] certificate)` Creates a KeyPairCredential object from the specified key and its corresponding public certificate.

Method Summary
`void` | `dispose()` Frees all resources associated with this instance of the credential.
`protected void` | `finalize()` Disposes of this credential.
`Certificate` | `getCertificate()` The first element of the certificate chain.
`Certificate[]` | `getCertificateChain()` The certificate chain.
`Key` | `getKey()` The key.
`boolean` | `isDisposed()` Specifies whether this instance is disposed.
`String` | `toString()` A string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyPairCredential

    public KeyPairCredential(Key key,
                             Certificate[] certificate)

  Creates a KeyPairCredential object from the specified key and its corresponding public certificate.

  Parameters:
    `key` - The cryptographic key information
    `certificate[]` - The certificate chain

Method Detail

### getCertificate

    public Certificate getCertificate()

  The first element of the certificate chain. Returns null if the certificate chain is null or empty, or if the credential has been disposed via the dispose() method.

  Returns:
    The first element in the certificate chain
  See Also:
    `KeyPairCredential.dispose()`

### getCertificateChain

    public Certificate[] getCertificateChain()

  The certificate chain. Returns null if the credential has been disposed via the dispose() method.

  Returns:
    The certificate chain
  See Also:
    `KeyPairCredential.dispose()`

### getKey

    public Key getKey()

  The key. Returns null if the credential has been disposed via the dispose() method.

  Returns:
    The key
  See Also:
    `KeyPairCredential.dispose()`

### dispose

    public void dispose()

  Frees all resources associated with this instance of the credential.

### isDisposed

    public boolean isDisposed()

  Specifies whether this instance is disposed.

  Returns:
    `true` if the credential is already disposed
  See Also:
    `KeyPairCredential.dispose()`

### toString

    public String toString()

  A string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of the keypair credential

### finalize

    protected void finalize()

  Disposes of this credential.

  Overrides:
    `finalize` in class `Object`
  See Also:
    `KeyPairCredential.dispose()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD